Bug 1209090 - [abrt] gnome-software: gs_app_set_summary(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: gs_app_set_summary(): gnome-software killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:76d3b942a01a5b13d8d4cffd18b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-06 01:57 UTC by Luciano Natale
Modified: 2015-10-09 06:14 UTC (History)
4 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.79 KB, text/plain)
2015-04-06 01:57 UTC, Luciano Natale
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-06 01:57 UTC, Luciano Natale
no flags Details
File: core_backtrace (16.38 KB, text/plain)
2015-04-06 01:57 UTC, Luciano Natale
no flags Details
File: dso_list (13.96 KB, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details
File: environ (1.71 KB, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details
File: maps (70.40 KB, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details
File: open_fds (1.90 KB, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2015-04-06 01:58 UTC, Luciano Natale
no flags Details

Description Luciano Natale 2015-04-06 01:57:52 UTC
Version-Release number of selected component:
gnome-software-3.14.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_set_summary
executable:     /usr/bin/gnome-software
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sat 2015-04-04 23:17:10 ART, end at Sat 2015-04-04 23:09:19 ART. --

Truncated backtrace:
Thread no. 1 (9 frames)
 #7 gs_app_set_summary at gs-app.c:1066
 #8 gs_plugin_refine_item at gs-plugin-appstream.c:680
 #9 gs_plugin_refine_from_id at gs-plugin-appstream.c:857
 #10 gs_plugin_refine at gs-plugin-appstream.c:927
 #11 gs_plugin_loader_run_refine_plugin at gs-plugin-loader.c:185
 #12 gs_plugin_loader_run_refine at gs-plugin-loader.c:248
 #13 gs_plugin_loader_search_thread_cb at gs-plugin-loader.c:1631
 #14 g_task_thread_pool_thread at gtask.c:1215
 #16 g_thread_proxy at gthread.c:764

Comment 1 Luciano Natale 2015-04-06 01:57:56 UTC
Created attachment 1011252 [details]
File: backtrace

Comment 2 Luciano Natale 2015-04-06 01:57:57 UTC
Created attachment 1011253 [details]
File: cgroup

Comment 3 Luciano Natale 2015-04-06 01:57:59 UTC
Created attachment 1011254 [details]
File: core_backtrace

Comment 4 Luciano Natale 2015-04-06 01:58:01 UTC
Created attachment 1011255 [details]
File: dso_list

Comment 5 Luciano Natale 2015-04-06 01:58:02 UTC
Created attachment 1011256 [details]
File: environ

Comment 6 Luciano Natale 2015-04-06 01:58:04 UTC
Created attachment 1011257 [details]
File: limits

Comment 7 Luciano Natale 2015-04-06 01:58:06 UTC
Created attachment 1011258 [details]
File: maps

Comment 8 Luciano Natale 2015-04-06 01:58:07 UTC
Created attachment 1011259 [details]
File: open_fds

Comment 9 Luciano Natale 2015-04-06 01:58:08 UTC
Created attachment 1011260 [details]
File: proc_pid_status

Comment 10 Fedora Update System 2015-10-07 13:21:08 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 11 Fedora Update System 2015-10-07 16:27:15 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 12 Fedora Update System 2015-10-09 06:14:02 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.